Package org.apache.felix.framework.security.condpermadmin

## Class ConditionalPermissionInfoImpl

- java.lang.Object
- - org.apache.felix.framework.security.condpermadmin.ConditionalPermissionInfoImpl

All Implemented Interfaces:
  `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

    public final class ConditionalPermissionInfoImpl
    extends java.lang.Object
    implements org.osgi.service.condpermadmin.ConditionalPermissionInfo

Simple storage class for condperminfos. Additionally, this class can be used to encode and decode infos.

### Field Summary

### Fields inherited from interface org.osgi.service.condpermadmin.ConditionalPermissionInfo

`ALLOW, DENY`

### Constructor Summary

Constructors
`ConditionalPermissionInfoImpl​(java.lang.String encoded)`
`ConditionalPermissionInfoImpl​(java.lang.String name, org.osgi.service.condpermadmin.ConditionInfo[] conditions, org.osgi.service.permissionadmin.PermissionInfo[] permisions, ConditionalPermissionAdminImpl cpai, boolean access)`
`ConditionalPermissionInfoImpl​(ConditionalPermissionAdminImpl cpai, java.lang.String name, boolean access)`
`ConditionalPermissionInfoImpl​(org.osgi.service.condpermadmin.ConditionInfo[] conditions, org.osgi.service.permissionadmin.PermissionInfo[] permisions, ConditionalPermissionAdminImpl cpai, boolean access)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `delete()`
`java.lang.String` `getAccessDecision()`
`org.osgi.service.condpermadmin.ConditionInfo[]` `getConditionInfos()`
`java.lang.String` `getEncoded()`
`java.lang.String` `getName()`
`org.osgi.service.permissionadmin.PermissionInfo[]` `getPermissionInfos()`
`boolean` `isAllow()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.osgi.service.condpermadmin.ConditionalPermissionInfo

`equals, hashCode`

### Constructor Detail

#### ConditionalPermissionInfoImpl

    public ConditionalPermissionInfoImpl​(java.lang.String encoded)

#### ConditionalPermissionInfoImpl

    public ConditionalPermissionInfoImpl​(ConditionalPermissionAdminImpl cpai,
                                         java.lang.String name,
                                         boolean access)

#### ConditionalPermissionInfoImpl

    public ConditionalPermissionInfoImpl​(org.osgi.service.condpermadmin.ConditionInfo[] conditions,
                                         org.osgi.service.permissionadmin.PermissionInfo[] permisions,
                                         ConditionalPermissionAdminImpl cpai,
                                         boolean access)

#### ConditionalPermissionInfoImpl

    public ConditionalPermissionInfoImpl​(java.lang.String name,
                                         org.osgi.service.condpermadmin.ConditionInfo[] conditions,
                                         org.osgi.service.permissionadmin.PermissionInfo[] permisions,
                                         ConditionalPermissionAdminImpl cpai,
                                         boolean access)

### Method Detail

#### delete

    public void delete()

Specified by:
  `delete` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

#### getConditionInfos

    public org.osgi.service.condpermadmin.ConditionInfo[] getConditionInfos()

Specified by:
  `getConditionInfos` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

#### getPermissionInfos

    public org.osgi.service.permissionadmin.PermissionInfo[] getPermissionInfos()

Specified by:
  `getPermissionInfos` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

#### getEncoded

    public java.lang.String getEncoded()

Specified by:
  `getEncoded` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`
Overrides:
  `toString` in class `java.lang.Object`

#### getAccessDecision

    public java.lang.String getAccessDecision()

Specified by:
  `getAccessDecision` in interface `org.osgi.service.condpermadmin.ConditionalPermissionInfo`

#### isAllow

    public boolean isAllow()